Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.existential
Class ExistentialAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.owl.ui.resourceselection.ResourceSelectionAction
              edu.stanford.smi.protegex.owl.ui.existential.ExistentialAction

All Implemented Interfaces:
  ResourceSelectionListener, ActionListener, Serializable, Cloneable, EventListener, Action

    public class ExistentialAction

extends ResourceSelectionAction

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.ui.resourceselection.ResourceSelectionAction
`activated`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`ExistentialAction(Component component, HierarchyManager hierarchyManager, OWLNamedClass cls)`

Method Summary
`Collection` | `getSelectableResources()`
`RDFResource` | `pickResource()` This method is used when single selection is allowed for this Action.
`void` | `resourceSelected(RDFResource resource)`
`void` | `setCls(OWLNamedClass cls)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.resourceselection.ResourceSelectionAction
`actionPerformed, activateComboBox, getRenderer, getShowHiddenResources, pickResources, setActivated, setShowHiddenResources`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExistentialAction

    public ExistentialAction(Component component,
                             HierarchyManager hierarchyManager,
                             OWLNamedClass cls)

Method Detail

### resourceSelected

    public void resourceSelected(RDFResource resource)

### getSelectableResources

    public Collection getSelectableResources()

  Specified by:
    `getSelectableResources` in class `ResourceSelectionAction`

### pickResource

    public RDFResource pickResource()

  Description copied from class: `ResourceSelectionAction`
  This method is used when single selection is allowed for this Action.

  Overrides:
    `pickResource` in class `ResourceSelectionAction`
  Returns:
    the selected Frame

### setCls

    public void setCls(OWLNamedClass cls)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.